restinio::null_mutex_t Struct Reference

A class to be used as null_mutex. More...

`#include <null_mutex.hpp>`

## Public Member Functions

constexpr void | lock () const noexcept
constexpr bool | try_lock () const noexcept
constexpr void | unlock () const noexcept

## Detailed Description

A class to be used as null_mutex.

Provides an interface similar to std::mutex but does nothing.

Since
  v.0.6.12

Definition at line 27 of file null_mutex.hpp.

## Member Function Documentation

## lock()

constexpr void restinio::null_mutex_t::lock | ( |  | ) | const

inlineconstexprnoexcept

Definition at line 29 of file null_mutex.hpp.

## try_lock()

constexpr bool restinio::null_mutex_t::try_lock | ( |  | ) | const

inlineconstexprnoexcept

Definition at line 31 of file null_mutex.hpp.

## unlock()

constexpr void restinio::null_mutex_t::unlock | ( |  | ) | const

inlineconstexprnoexcept

Definition at line 33 of file null_mutex.hpp.

The documentation for this struct was generated from the following file:

- restinio/null_mutex.hpp